import { TypedEventEmitter } from "matrix-js-sdk/src/matrix";
import { VoiceBroadcastPreRecording } from "..";
import { IDestroyable } from "../../utils/IDestroyable";
export type VoiceBroadcastPreRecordingEvent = "changed";
interface EventMap {
    changed: (preRecording: VoiceBroadcastPreRecording | null) => void;
}
export declare class VoiceBroadcastPreRecordingStore extends TypedEventEmitter<VoiceBroadcastPreRecordingEvent, EventMap> implements IDestroyable {
    private current;
    setCurrent(current: VoiceBroadcastPreRecording): void;
    clearCurrent(): void;
    getCurrent(): VoiceBroadcastPreRecording | null;
    destroy(): void;
    private onCancel;
}
export {};
